# List sweeps

`GET /accounts/{accountID}/wallets/{walletID}/sweeps`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List sweeps associated with a wallet.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/wallets.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes |  |
| `walletID` | path | string | Yes |  |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |
| `status` | query | string |  | Optional parameter to filter by sweep status. Values: `accruing`, `action-required`, `canceled`, `closed`, `failed`, `paid`. |
| `statementDescriptor` | query | string |  | Optional string to filter by statement descriptor. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].sweepID` | string | Yes |  |
| `[].status` | string | Yes | Values: `accruing`, `action-required`, `canceled`, `closed`, `failed`, `paid`. |
| `[].accruedAmount` | string | Yes | The total net amount of wallet transactions accrued in the sweep. |
| `[].residualBalance` | string |  | Amount remaining in the wallet after the sweep transfer completes. |
| `[].currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `[].accrualStartedOn` | string (date-time) | Yes | The date-time the sweep began accruing transactions. |
| `[].accrualEndedOn` | string (date-time) |  | The date-time the sweep stopped accruing transactions. |
| `[].pushPaymentMethodID` | string |  | ID of the payment method. |
| `[].pullPaymentMethodID` | string |  | ID of the payment method. |
| `[].transferID` | string |  |  |
| `[].transferAmount` | string |  | Amount that is transferred. |
| `[].statementDescriptor` | string |  | The text that appears on the banking statement. The default descriptor is a 10 character ID if an override is not set in the sweep configs statementDescriptor. |
| `[].subtotals` | array of object |  | The subtotal of each transaction type contributing to the sweep's accrued amount. |
| `[].subtotals[].type` | string | Yes | The type of wallet transaction the subtotal is for. Values: `account-funding`, `ach-reversal`, `auto-sweep`, `card-payment`, `card-decline`, `card-reversal`, `cash-out`, `dispute`, `dispute-reversal`, `facilitator-fee`, `issuing-refund`, `issuing-transaction`, `issuing-transaction-adjustment`, `issuing-auth-hold`, `issuing-auth-release`, `issuing-decline`, `moov-fee`, `payment`, `payout`, `refund`, `refund-failure`, `rtp-failure`, `top-up`, `wallet-transfer`, `adjustment`, `fee-revenue`, `residual`, `instant-bank-failure`. |
| `[].subtotals[].count` | integer (int64) | Yes | The number of transactions of this type accrued in the sweep. |
| `[].subtotals[].amount` | object | Yes | The value of transactions of this type accrued in the sweep. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/sweeps" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.sweeps.list({
    accountID: "a227b50c-035d-4b7f-932c-a4b7e02aaf5c",
    walletID: "d01e5b34-b207-4a5c-b249-6e049be6a841",
    skip: 60,
    count: 20,
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/money-movement/sweeps/list/
